package typeManage

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type ResponsiblePersonRouter struct {}

func (r *ResponsiblePersonRouter) InitResponsiblePersonRouter(Router *gin.RouterGroup)  {
	responsiblePersonRouter := Router.Group("responsiblePerson")
	responsiblePersonApi := v1.ApiGroupApp.TypeApiGroup.ResponsiblePersonApi
	{
		responsiblePersonRouter.POST("createResponsiblePerson",responsiblePersonApi.CreateResponsiblePerson)          // 增加负责人
		responsiblePersonRouter.POST("deleteResponsiblePerson",responsiblePersonApi.DeleteResponsiblePerson)          // 删除单个负责人
		responsiblePersonRouter.DELETE("deleteResponsiblePersonsByIds", responsiblePersonApi.DeleteResponsiblePersonsByIds)		//批量删除
		responsiblePersonRouter.POST("updateResponsiblePerson",responsiblePersonApi.UpdateResponsiblePerson)          // 更新负责人信息
		responsiblePersonRouter.POST("getResponsiblePersonById", responsiblePersonApi.GetResponsiblePersonById) 		//获取单个负责人信息
		responsiblePersonRouter.POST("getResponsiblePerson",responsiblePersonApi.GetResponsiblePerson)          // 条件查询所有负责人
	}
}
